> ## Documentation Index
> Fetch the complete documentation index at: https://morphik.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting Started

> Get up and running with Morphik

**1. Sign Up**

On a new tab, navigate to the [Morphik website](https://morphik.ai) and click the "Get Started" button on the top right.

![Sign up page](https://mintcdn.com/databridge/eYNTu58F8b1Z2Eq-/assets/sign_up.png?fit=max\&auto=format\&n=eYNTu58F8b1Z2Eq-\&q=85\&s=94453be3e37493be4c6cf399ee50e250)

**2. Create Application**

Once you have signed up, you will be redirected to the Morphik Cloud dashboard. Click the "Create Application" button to create a new application. Enter your app name and click "Create Application".

![Create application dialog](https://mintcdn.com/databridge/eYNTu58F8b1Z2Eq-/assets/create_app.png?fit=max\&auto=format\&n=eYNTu58F8b1Z2Eq-\&q=85\&s=a6ea1d28db4e270eee8a0cfefa0c01a2)

**3. Copy your credentials**

You should now see your application in the dashboard with "Copy URI" and "Copy Token" buttons:

* **For Python SDK**: Click "Copy URI"
* **For TypeScript/API**: Click "Copy Token"

  ![Created application with copy buttons](https://mintcdn.com/databridge/eYNTu58F8b1Z2Eq-/assets/created_app.png?fit=max\&auto=format\&n=eYNTu58F8b1Z2Eq-\&q=85\&s=5ff151ae65e9d36d87cbfc37d6900295)

That's it! You're ready to use Morphik now :)

## Using Morphik

While most users integrate Morphik into their applications via our SDKs and APIs, we also provide a comprehensive web interface that serves as both a playground and management console.

### Morphik Web Interface

The Morphik web interface provides a complete view of your application:

![Morphik Application Interface](https://mintcdn.com/databridge/eYNTu58F8b1Z2Eq-/assets/app_interface.png?fit=max\&auto=format\&n=eYNTu58F8b1Z2Eq-\&q=85\&s=ebeb2a5ee5516b142737771e0ccd11a1)

In the web interface, you can:

* 📄 **Browse and manage** all your documents and folders
* 💬 **Use the Chat and Agent** for interactive queries and complex tasks
* 🔗 **Visualize Knowledge Graphs** to understand document relationships
* 📊 **Monitor logs** and track API usage
* 💳 **View billing and usage details** for your account
* ⚙️ **Configure settings** and manage your application

This interface is perfect for testing queries, debugging, and getting familiar with Morphik's capabilities before integrating it into your code.

### Using Morphik via Code

For production use, you'll want to integrate Morphik using our SDKs or API:

> [tab] Python SDK
>
> **1. Create a virtual environment**
>
> ```bash theme={null}
> python3.12 -m venv .venv
> ```
>
> **2. Activate the virtual environment**
>
> ```bash theme={null}
> source .venv/bin/activate
> ```
>
> **3. Install the SDK**
>
> ```bash theme={null}
> pip install morphik
> ```
>
> **4. Ingest and Query your first file**
>
> ```python theme={null}
> from morphik import Morphik
>
> # Initialize the Morphik client
> morphik = Morphik(uri="your-morphik-uri")
> # Ingest a file
> doc = morphik.ingest_file(file_path="super/complex/file.pdf")
> doc.wait_for_completion()
>
> # Query the file
> response = morphik.query(query="What percentage of Morphik users are building something cool?")
> print(response) # Responds with 100% :)
> ```
>
> You can find our entire SDK documentation [here](https://morphik.ai/docs/python-sdk/morphik.md).

> [tab] TypeScript/JavaScript SDK
>
> **1. Install the SDK**
>
> ```bash theme={null}
> npm install morphik
> # or
> yarn add morphik
> ```
>
> **2. Ingest and Query your first file**
>
> ```typescript theme={null}
> import Morphik from 'morphik';
> import * as fs from 'fs';
>
> // Initialize the Morphik client
> // Copy token from dashboard
> const morphik = new Morphik({
>   apiKey: 'your-morphik-token'
> });
>
> // Ingest a file
> const file = fs.createReadStream('super/complex/file.pdf');
> const doc = await morphik.ingest.ingestFile({ file });
>
> // Wait for processing to complete
> await new Promise(resolve => setTimeout(resolve, 5000));
>
> // Query the file
> const response = await morphik.query.generateCompletion({
>   query: 'What percentage of Morphik users are building something cool?'
> });
> console.log(response.completion); // Responds with 100% :)
> ```
>
> You can find our API reference with SDK examples [here](https://morphik.ai/docs/api-reference/getting-started.md).

> [tab] Rest API
>
> **1. Extract your bearer token**
>
> The bearer token can be extracted directly from your Morphik URI. The URI has the following format:
>
> `morphik://<app_name>:<bearer_token>@<host>`
>
> The middle part between the colon and the @ symbol is your bearer token.
>
> **2. Make API requests**
>
> When making requests to the Morphik API, include your bearer token in the `Authorization` header:
>
> ```bash theme={null}
>   curl -X 'POST' 'https://api.morphik.ai/documents?skip=0&limit=10000' \
>   -H "Authorization: Bearer <your_bearer_token>"
>   -H 'accept: application/json' \
>   -H 'Content-Type: application/json' \
>   -d '{}'
> ```
>
> You can find our complete API reference [here](https://morphik.ai/docs/api-reference/getting-started.md).

> [tab] MCP
>
> You can find more information about MCP [here](https://morphik.ai/docs/using-morphik/mcp.md).

## Community Support

We have an open community with lots of discussion where you can get help, report bugs, and share your experiences with Morphik. If you need assistance or want to contribute, please join our community!

> [card] [Join our Discord](https://discord.com/invite/BwMtv3Zaju)
>
> Get help, report bugs, and connect with other Morphik users.

## Next Steps

Now that you have the server running, you can explore the different ways to interact with the server.

> [card] [Configure Morphik](https://morphik.ai/docs/configuration.md)
>
> Configure Morphik using the `morphik.toml` file.

> [card] [API](https://morphik.ai/docs/api-reference/getting-started.md)
>
> Use the API to interact with the server.

> [card] [Python SDK](https://morphik.ai/docs/python-sdk/morphik.md)
>
> Use the Python SDK to interact with the server.

> [card] [TypeScript/JavaScript SDK](https://morphik.ai/docs/cookbooks/typescript-basic-operations.md)
>
> Use the TypeScript/JavaScript SDK to interact with the server.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.